<!doctype html>
<!--[if IE 8 ]><html dir="ltr" lang="zh-TW" class="ie8"><![endif]-->
<!--[if IE 9 ]><html dir="ltr" lang="zh-TW" class="ie9"><![endif]-->
<!--[if (gt IE 9)|!(IE)]><!-->
<html dir="ltr" lang="zh-TW">
<!--<![endif]-->
<head>
<!--[if lt IE 9]>
<script src="/js/html5.js"></script>
<![endif]-->
<meta charset="UTF-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title><?# webTitle ?></title>
<meta name="keywords" content="<?# webKeyword ?>" />
<meta name="description" content="<?# webDescription ?>" />
<meta property="og:url"           content="<?# RelLink ?><?# REQUESTURI ?>" />
<meta property="og:type"          content="website" />
<meta property="og:title"         content="<?# webTitle ?>" />
<meta property="og:description"   content="<?# webDescription ?>" />
<meta property="og:image"         content="<?# RelLink ?><?# contactPhoto ?>" />
<meta name="keywords" content="<?# webKeyword ?>" />
<meta name="description" content="<?# webDescription ?>" />
<link rel="stylesheet" href="css/<?# webTemplates ?>/main.css" />
<link rel="stylesheet" href="css/<?# webTemplates ?>/sub-main.css" />
<link rel="stylesheet" href="/css/<?# webTemplates ?>/contact.css">
<script src="/jquery/jquery-1.10.js"></script>
<script>
	if('<?# alertMsg ?>' != ''){
		alert('<?# alertMsg ?>');
		if('<?# goBack ?>' == 'Y'){
			history.back();
		}
	}
	if('<?# locationHref ?>' != ''){
		location.href = '<?# locationHref ?>';
	}
</script>
<?# headHTML ?>
</head>
<body<?# JumpBody ?>>
<?# bodyTopHTML ?>
<div class="webBox" style="margin: 0; padding: 0; border: 0; width: 100%;<?# JumpStyle ?>">
<?# JumpHTML ?>
<?# JumpScript ?>
<h1 class="h6" style="position: fixed;z-index: -1;opacity: 0;color: #fff;">聯絡我們</h1>
	<div class="wrapper">
    	<?# header ?>
        <?# banner ?>
        <div id="content">
            <div class="wrap">
                <section>
                    <div id="content-main" class="speical">
						<div class="titleBox"><h1>聯繫我們</h1></div>
                        <div id="contact">
                            <div class="contact-form">
								<?# googlemapBody ?>
								<article><?# webContact ?></article>
                                <form id="form1" name="form1" method="post">
                                    <p class="col col-2">
                                        <label>請選擇標題</label>
                                        <select id="Title" name="Title">
                                            <option value="方案洽詢" selected>方案洽詢</option>
                                            <option value="預約">預約</option>
                                            <option value="其他">其他</option>
                                        </select>
                                    </p>
                                    <p class="col col-2"><label>姓名<b>*</b></label><input type="text" id="Name" name="Name"></p>
                                    <p class="col col-2"><label>電話<b>*</b></label><input type="text" id="Phone" name="Phone"></p>
                                    <p class="col col-2"><label>信箱<b>*</b></label><input type="text" id="Email" name="Email"></p>
                                    <p class="col"><label>詳細說明</label><textarea name="Content" id="Content" cols="45" rows="5" placeholder="詳細說明"><?# askProduct ?></textarea></p>
                                    <p class="col col-2">
                                        <label>驗證碼<b>*</b></label>
                                        <input name="Checknum" type="text" id="Checknum" onKeyUp="this.value=this.value.toUpperCase();" placeholder="驗證碼" maxlength="4" />
                                        <img src="/vdimgck.php" id="rand-img" alt="看不清楚？ 點圖更換新圖片" align="absmiddle" style="cursor:pointer; border:none; width:auto;" onClick="this.src=this.src+'?'">
                                    </p>
                                    <p class="col col-2 send"><a id="btnOK" href="javascript:void(0);" title="送出"><font>送出</font></a></p>
                                </form>
                                <div id="community">
                                    <ul>
                                        <li class="fbb"><div class="fb-like" data-href="<?# RelLink ?><?# REQUESTURI ?>" data-layout="button_count" data-action="like" data-size="small" data-show-faces="true" data-share="true"></div></li>
                                        <li><a href="https://twitter.com/share" class="twitter-share-button" data-lang="zh-tw" data-dnt="true">推文</a><script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0],p=/^http:/.test(d.location)?'http':'https';if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=p+'://platform.twitter.com/widgets.js';fjs.parentNode.insertBefore(js,fjs);}}(document, 'script', 'twitter-wjs');</script></li>
                                        <li><div class="line-it-button" data-lang="zh_Hant" data-type="like" data-url="<?# RelLink ?><?# REQUESTURI ?>" data-share="true" style="display: none;"></div></li>
                                    </ul>
                                    <?# GoogleSearch ?>
                                </div>
                            </div>
                    	</div>
                    </div>
                </section>
            </div>
        </div>     
        <?# footer ?>       
    </div>
</body>
</html>
<script src="/jquery/aos/aos.js"></script>
<script>
	$(function(){
		$('#btnOK').click(function(){
			if($('#Title').val() == ''){
				alert('請選擇標題!');
				$('#Title').focus();
				return false;
			}
			if($('#Name').val() == ''){
				alert('請輸入姓名!');
				$('#Name').focus();
				return false;
			}
			if($('#Phone').val() == ''){
				alert('請輸入電話!');
				$('#Phone').focus();
				return false;
			}
			if($('#Email').val() == ''){
				alert('請輸入信箱!');
				$('#Email').focus();
				return false;
			}
			var reEmail = /^[a-zA-Z0-9_\-\.]+@[a-zA-Z0-9_\-]+(\.[a-zA-Z0-9_\-]+)+$/;
			if(!reEmail.test($('#Email').val())){
				alert('信箱不合法!');
				$('#Email').focus();
				return false;
			}
			if($('#Checknum').val() == ''){
				alert('請輸入驗證碼!');
				$('#Checknum').focus();
				return false;
			}
			$(this).attr('disabled','disabled');
			$('#form1').submit();
		});
	});
	document.body.oncopy = event => {
		event.preventDefault();
		let textFont,
		copyFont = window.getSelection(0).toString();
		if(copyFont.length > 10){
			textFont = copyFont + '\n\n' + '原文網址: <?# webTitle ?> <?# RelLink ?><?# REQUESTURI ?>\n' + '著作權歸作者所有。商業轉載請聯絡作者獲得授權，非商業轉載請註明出處。';
		}else{
			textFont = copyFont;
		}
		if(event.clipboardData){
			return event.clipboardData.setData('text', textFont);
		}else{// 相容IE
			return window.clipboardData.setData('text', textFont);
		}
	};
	AOS.init();
</script>